// genesis -- tutorial8.g 

int batch = 0 // flag for whether to run in batch mode

randseed // give the simulation a new random number seed 

include protodefs.g
include net_inputs.g
include net_cells.g
include net_conn.g
include chess_avg.g
include batch.g

if (!batch) // send output to Xodus objects, not files
    include net_out.g
    include chess_out.g
end

// Setting a few simulation parameters
float dt = 1.0e-4		// sec
xcolorscale hot

// setting the simulation clocks
setclock 0 {dt}		// sec
setclock 1 {dt * 2}     // for outputs
setclock 2 {dt * 100}   // for displaying time

ce /
check
reset

if (batch)
    run_batch
    quit
end


