// genesis -- tutorial 8 -- chess_avg.g

// chess_avg.g: we create a map of RC elements to 
// compute the average of the Vm for the network cells.

float Erev = -0.070 // same as EREST_ACT for the soma channel
int i

create RC /library/RC
setfield ^ V0 {Erev} R 1 C 0.030 
create neutral /avg
createmap /library/RC /avg 8 8 -delta 0.1 0.1 -origin 0.15 0.15

for (i = 0; i < 64; i = i + 1)
    addmsg /network/cell[{i}]/soma /avg/RC[{i}] INJECT Vm
    addmsg /network/cell[{i}]/soma /avg/RC[{i}] INJECT {-Erev}
end
